# test for eccentric waveform model with advancement periastron

accounting = ligo.dev.o3.cbc.pe.lalinference

# trigger time tells u the part of data segment to retrieve. Check trigger-time along with geocent-time
# geocent-time is desirable near the end of this data segment.
# choose the post-trigger duration wisely.
trigger-time = 1187008882.43

label = TaylorF2EccPerAdvFD1PNAmpLeO20Hz_ConstraintD
outdir = outdir_TaylorF2EccPerAdvFD1PNAmpLeO20Hz_ConstraintD

detectors = [H1, L1, V1]
sampling-frequency = 512.
duration = 263.
post-trigger-duration = 1.0
minimum-frequency=20.
maximum-frequency=256.
reference_frequency=30.
psd-maximum-duration=1024

sampler = dynesty
sampler-kwargs = {'nlive': 500}

data-dict = {H1:H1_CLN.txt, L1:L1_CLN.txt,  V1:V1_CLN.txt}
channel-dict = {H1:H1, L1:L1, V1:V1}



# custom waveform at lalsimulation
waveform-approximant = TaylorF2EccPerAdvFD1PNAmpLeO
frequency-domain-source-model = lal_TaylorF2EccPerAdvFD1PNAmpLeO
phase-marginalization =True
time-marginalization =True
#distance-marginalization =True

n-simulation = 1

n-parallel = 1

request-cpus = 16

prior-dict = {
mass_1 = Constraint(name='mass_1', minimum=1.1,maximum=2.0),
mass_2 = Constraint(name='mass_2', minimum=1.1,maximum=2.0),
chirp_mass = Uniform(name='chirp_mass', minimum=0.9576056196257366,maximum=1.7411011265922482),
mass_ratio = Uniform(name='mass_ratio', minimum=0.55, maximum=1.),
eccentricity = Uniform(name='e0', minimum=0.0, maximum=0.1),
#luminosity_distance = Constraint(name='D', minimum=32.,maximum=48.),
#luminosity_distance = Gaussian(mu=40.7, sigma=5.57, name='D', unit='Mpc', boundary='reflective'),
#luminosity_distance = Uniform(name='D', minimum=38.34, maximum=43.06),
luminosity_distance = 40.7,
theta_jn = Sine(name='theta_jn'),
psi =  Uniform(name='psi', minimum=0, maximum=6.283185307179586),
phase = Uniform(name='phase', minimum=0, maximum=6.283185307179586),
geocent_time = Uniform(1187008882.33, 1187008882.53, name='geocent_time', unit='s'),
ra = 3.44615914,
dec =  -0.40808407,
}

